{% extends 'base.html.twig' %}

{% block menu %}
<li><a href="{{ path('edit_repair', {'id': repair.id}) }}">Edycja naprawy</a></li>
<li><a href="{{ path('car', {'id': repair.car.id}) }}">{{ repair.car.name }}</a></li>
<li><a href="{{ path('print', {'id': repair.id}) }}">Drukuj</a></li>
{% endblock %}

{% block body %}
	<div class="row">
		<div class="col-md-3">
			<div class="form-group">
				<label>
					Name:
				</label>
				<p>
					{{ car.name }}
				</p>
			</div>
			<div class="form-group">
				<label>
					Rejestracja:
				</label>
				<p>
					{{ car.registration }}
				</p>
			</div>
			<div class="form-group">
				<label>
					VIN:
				</label>
				<p>
					{{ car.vin }}
				</p>
			</div>
			{% if car.phone %}
				<div class="form-group">
					<label>
						Telefon:
					</label>
					<p>
						{{ car.phone }}
					</p>
				</div>
			{% endif %}
			{% if car.description %}
				<div class="form-group">
					<label>
						Opis:
					</label>
					<p>
						{{ car.description }}
					</p>
				</div>
			{% endif %}
		</div>
		<div class="col-md-3">
			<div class="form-group">
				<label>
					Data naprawy:
				</label>
				<p>
					{{ repair.createdat|date('Y-m-d') }}
				</p>
			</div>
			{% if repair.mileage %}
				<div class="form-group">
					<label>
						Stan licznika [km]:
					</label>
					<p>
						{{ repair.mileage }}
					</p>
				</div>
			{% endif %}
			{% if repair.description %}
				<div class="form-group">
					<label>
						Uwagi dla klienta:
					</label>
					<p>
						{{ repair.description|nl2br }}
					</p>
					<br>
					<a href="{{ path('edit_repair', {'id': repair.id, 'hide': 'yes'}) }}">Edytuj uwagi</a>
				</div>
			{% else %}
				<div class="form-group">
					<label>
						Uwagi dla klienta
					</label>
					<br>
					<a href="{{ path('edit_repair', {'id': repair.id, 'hide': 'yes'}) }}">Dodaj uwagi</a>
				</div>
			{% endif %}
			{% if repair.mechanic %}
				<div class="form-group">
					<label>
						Mechanik:
					</label>
					<p>
						{{ repair.mechanic.name }}
					</p>
				</div>
			{% endif %}
			{% if sec_mechanic %}
				<div class="form-group">
					<label>
						Pomagał w naprawie:
					</label>
					<p>
						{{ sec_mechanic.name }}
					</p>
				</div>
			{% endif %}
				<div class="form-group">
					<label>
						Notatki:
					</label>
					{% if notes %}
						<table class="table table-striped">
							<th>#</th>
							<th>Nazwa - opis</th>
							<th>Edytuj</th>
							{% for key,n in notes %}
								<tr>
									<td>{{ key +1 }}</td>
									<td>{{ n.notatka|nl2br }}</td>
									<td><a href="{{ path('edit_note', {'id': n.id, 'repairId' : repair.id}) }}">Edycja</a></td>
								</tr>
							{% endfor %}
						</table>
					{% endif %}
					<a href="{{ path('edit_note', {'id': -1, 'repairId' : repair.id}) }}">Dodaj notatkę</a>
				</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<div>
					<form method="post" action="{{ path('save_mechanic_to_repair', {'repairId': repair.id}) }}">
						{% if not repair.mechanic %}
							<div class="col-lg-3">
								<label>
									Dodaj Mechanika:
								</label>
								<select name="mechanic">
									{% for key,mechanic in mechanics %}
										<option value="{{ mechanic.id }}" {% if mechanicsCount == 1 %} checked="checked" {% endif %}>{{ mechanic.name }}</option>
									{% endfor %}
								</select>
							</div>
							<div class="col-lg-5">
								<label>
									Przypisz mechanika do naprawy:
								</label>
								<input type="submit" name="saveMechanic" value="Zapisz">
							</div>
						{% endif %}
						{% if repair.mechanic %}
								<label>Usuń mechanika z naprawy:</label>
								<input type="submit" name="deleteMechanic" value="Usuń {{ repair.mechanic.name }} ">
						{% endif %}
					</form>
				</div>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<div>
					{% if not repair.name %}
						<form method="post" action="{{ path('add_2_mechanic', {'repair': repair.id}) }}">
							<div>
								<label>
									Przypisz dodatkowego mechanika do naprawy:
								</label>
								<select name="mechanicID">
									{% for key,mechanic in mechanics %}
										{% if (repair.mechanic.id is defined and repair.mechanic.id != mechanic.id) or repair.mechanic is empty %}
											<option value="{{ mechanic.id }}">{{ mechanic.name }}</option>
										{% endif %}
									{% endfor %}
								</select>
								<input type="submit" name="saveMechanic" value="Zapisz">
							</div>
						</form>
					{% endif %}
					{% if sec_mechanic is not empty %}
						<form method="post" action="{{ path('del_2_mechanic', {'repair': repair.id}) }}">
							<div>
								<label>
									Usuń dodatkowego mechanika z naprawy ( {{ sec_mechanic.name }} )
								</label>
								<input type="submit" name="saveMechanic" value="Usuń">
							</div>
						</form>
					{% endif %}
				</div>
			</div>
		</div>
		<div class="col-md-6">
			<div class="form-group">
				<form method="post" action="{{ path('save_part_to_repair', {'repairId': repair.id}) }}">
					<label>Część/Usługa:</label><br>
					<input name="part" type="text" placeholder="Część/Usługa" maxlength="255" style="width: 100%;">
					<br>
					<label>Cena:</label>
					<input name="part-price" type="text" value="0">
					<label>Zapisz:</label><input type="submit" value="Zapisz">
				</form>
			</div>
		</div>
		{% if parts %}
			<div class="col-md-6 padding-top-10">
				<table class="table table-striped">
					<tr>
						<th>#</th>
						<th>Nazwa</th>
						<th>Cena</th>
						<th>Edytuj</th>
					</tr>
						{% for key,val in parts %}
							<tr>
								<td>{{ key+1 }}</td>
								<td>{{ val.name }}</td>
								<td>{{ val.price }}</td>
								<td><a href="{{ path('edit_part', {'id': val.id}) }}">Edytuj</a></td>
							</tr>
						{%  endfor %}
				</table>
				<div class="col-md-6 padding-top-10">
					<label>
						SUMA:
					</label>
					{% set sum = 0 %}

					{% for p in parts %}
						{% set sum = sum + p.price %}
					{% endfor %}
					{{ sum }} zł
				</div>
			</div>
		{% endif %}
	</div>

{% endblock %}